summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMinze Zwerver2017-06-28 23:48:30 +0200
committerMinze Zwerver2017-06-28 23:48:30 +0200
commitd36e2e3f95672d11be50440e7dc7bfd6cfa7fc56 (patch)
tree4f2275068087a2ca87cdca49d549a2f050ea5f38
parenta89bcbd740ab8ff1caf73d7418e30b97ce7a2c4c (diff)
downloadaur-d36e2e3f95672d11be50440e7dc7bfd6cfa7fc56.tar.gz
Now using the build release script (with a little patch)
Simulators now included!
-rw-r--r--.SRCINFO10
-rw-r--r--PKGBUILD23
-rw-r--r--cmake_version.diff24
-rw-r--r--installprefix.patch12
4 files changed, 28 insertions, 41 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 3d05f4b93b4..80c6379abac 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = opentx-companion
pkgdesc = EEPROM Editor for OpenTX RC transmitter firmwares
pkgver = 2.2.0
- pkgrel = 2
+ pkgrel = 3
url = http://www.open-tx.org/
arch = x86_64
license = GPL
@@ -14,6 +14,10 @@ pkgbase = opentx-companion
makedepends = sed
makedepends = qt5-tools
makedepends = python-pyqt5
+ makedepends = arm-none-eabi-gcc
+ makedepends = arm-none-eabi-binutils
+ makedepends = arm-none-eabi-newlib
+ makedepends = fox
depends = qt5-base
depends = qt5-multimedia
depends = qt5-svg
@@ -22,9 +26,9 @@ pkgbase = opentx-companion
conflicts = companion
conflicts = companion9x-svn
source = https://github.com/opentx/opentx/archive/2.2.0.tar.gz
- source = cmake_version.diff
+ source = installprefix.patch
sha256sums = 27a07efcbb7d5759bafea7d8a6d97f910c2830881c0d4c71cbbc7da65446b2cd
- sha256sums = 3c2777a7f5261851150652dd0c15aa8900c5f07ab20b19322e6be7dc5450d3c4
+ sha256sums = 886818bd63ac415751b9355ad695b01cf2ab2d57e094e3792010a00bc7ce2020
pkgname = opentx-companion
diff --git a/PKGBUILD b/PKGBUILD
index fc791e943ad..c9fe14c9cee 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,41 +1,36 @@
# Maintainer: Ysblokje <ysblokje at gmail dot com>
# Previous Maintainer: Jeff Youdontneedtoknow <jeffpublicjr at gmail dot com>
# Contributer: Arnaud
-pkgname=opentx-companion
+pkgname=('opentx-companion')
pkgver=2.2.0
-pkgrel=2
+pkgrel=3
pkgdesc="EEPROM Editor for OpenTX RC transmitter firmwares"
arch=('x86_64')
url="http://www.open-tx.org/"
license=('GPL')
depends=('qt5-base' 'qt5-multimedia' 'qt5-svg' 'sdl')
-makedepends=('cmake' 'xsd' 'bc' 'python' 'avr-gcc' 'avr-libc' 'sed' 'qt5-tools' 'python-pyqt5')
+makedepends=('cmake' 'xsd' 'bc' 'python' 'avr-gcc' 'avr-libc' 'sed' 'qt5-tools' 'python-pyqt5' 'arm-none-eabi-gcc' 'arm-none-eabi-binutils' 'arm-none-eabi-newlib' 'fox')
provides=('companion')
conflicts=('companion' 'companion9x-svn')
source=("https://github.com/opentx/opentx/archive/$pkgver.tar.gz"
- "cmake_version.diff"
+"installprefix.patch"
)
sha256sums=(
'27a07efcbb7d5759bafea7d8a6d97f910c2830881c0d4c71cbbc7da65446b2cd'
- '3c2777a7f5261851150652dd0c15aa8900c5f07ab20b19322e6be7dc5450d3c4'
+ '9d669cf723e98b7be5463538b0590ae7776b3b866a423cceeb30ba9840748c64'
)
build() {
- cd $srcdir/opentx-$pkgver
- patch -p1 -i ${srcdir}/cmake_version.diff
-
- mkdir -p lbuild
- cd lbuild
- cmake -DCMAKE_INSTALL_PREFIX=/usr -DFIRMWARE_TARGET=OFF ../
- make
+ patch $srcdir/opentx-$pkgver/tools/build-companion-release.sh $startdir/installprefix.patch
+ $srcdir/opentx-$pkgver/tools/build-companion-release.sh $srcdir/opentx-$pkgver dummy
}
package() {
- cd $srcdir/opentx-$pkgver/lbuild
+ cd build
make DESTDIR=$pkgdir/ install
cd $pkgdir/usr/share/applications
sed -i -e 's/Categories=Application/Categories=Development;/' companion22.desktop
sed -i -e 's/Categories=Application/Categories=Development;/' simulator22.desktop
- rm -Rf $pkgdir/lib
}
+
diff --git a/cmake_version.diff b/cmake_version.diff
deleted file mode 100644
index 9d335edf3f9..00000000000
--- a/cmake_version.diff
+++ /dev/null
@@ -1,24 +0,0 @@
-diff -ur opentx-2.2.0/CMakeLists.txt opentx-2.2.0.nw/CMakeLists.txt
---- opentx-2.2.0/CMakeLists.txt 2017-05-30 18:37:38.000000000 +0200
-+++ opentx-2.2.0.nw/CMakeLists.txt 2017-06-02 20:56:55.412833803 +0200
-@@ -9,7 +9,7 @@
- set(SDCARD_REVISION "0010")
- set(SDCARD_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}V${SDCARD_REVISION})
-
--cmake_minimum_required(VERSION 2.8)
-+cmake_minimum_required(VERSION 3.8)
- cmake_policy(SET CMP0020 NEW)
- cmake_policy(SET CMP0023 OLD)
- if(POLICY CMP0042)
-diff -ur opentx-2.2.0/companion/src/CMakeLists.txt opentx-2.2.0.nw/companion/src/CMakeLists.txt
---- opentx-2.2.0/companion/src/CMakeLists.txt 2017-06-02 21:39:16.665770555 +0200
-+++ opentx-2.2.0.nw/companion/src/CMakeLists.txt 2017-05-30 18:37:38.000000000 +0200
-@@ -95,7 +95,7 @@
-
- set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WARNING_FLAGS}")
-
--use_cxx11() # ensure gnu++11 in CXX_FLAGS with CMake < 3.1
-+#use_cxx11() # ensure gnu++11 in CXX_FLAGS with CMake < 3.1
-
- include_directories(
- ${CMAKE_BINARY_DIR}
diff --git a/installprefix.patch b/installprefix.patch
new file mode 100644
index 00000000000..b9ff1b0b469
--- /dev/null
+++ b/installprefix.patch
@@ -0,0 +1,12 @@
+28c28
+< COMMON_OPTIONS="-DGVARS=YES -DHELI=YES -DLUA=YES -DMULTIMODULE=YES -DTELEMETRY=FRSKY -DPPM_LIMITS_SYMETRICAL=YES -DVARIO=YES -DGAUGES=YES -DAUTOSWITCH=YES -DAUTOSOURCE=YES -DAUDIO=YES -DGPS=YES -DPPM_CENTER_ADJUSTABLE=YES -DFLIGHT_MODES=YES -DOVERRIDE_CHANNEL_FUNCTION=YES -DFRSKY_STICKS=YES"
+---
+> COMMON_OPTIONS="-DCMAKE_INSTALL_PREFIX=/usr -DGVARS=YES -DHELI=YES -DLUA=YES -DMULTIMODULE=YES -DTELEMETRY=FRSKY -DPPM_LIMITS_SYMETRICAL=YES -DVARIO=YES -DGAUGES=YES -DAUTOSWITCH=YES -DAUTOSOURCE=YES -DAUDIO=YES -DGPS=YES -DPPM_CENTER_ADJUSTABLE=YES -DFLIGHT_MODES=YES -DOVERRIDE_CHANNEL_FUNCTION=YES -DFRSKY_STICKS=YES"
+83,89d82
+< make -j${JOBS} package
+<
+< if [ "$(uname)" = "Darwin" ]; then
+< cp *.dmg ${OUTDIR}
+< else
+< cp *.deb ${OUTDIR}
+< fi